#!/bin/sh

case "$1" in
lic*)

      BA_PATH=/mnt
      PFXML=$BA_PATH/platform.xml
      if [ -f $PFXML ] ; then
         VXML=$BA_PATH/vendor.xml
   
         #Get Values
   
         VDATE=`grep "<date" $VXML|cut -d \" -f2`
         PFDATE=`grep "<date" $PFXML|cut -d \" -f2`

         if [ ! "_$VDATE" = "_$PFDATE" ] ; then
            PFMACS=`grep "<mac" $PFXML|cut -d \" -f2` 
            for MAC in $PFMACS ; do
               PFMAC=$MAC
            done
            PFVEN=`grep "<vendor" $PFXML|cut -d \" -f2`
            PFCKEY=`grep "<key" $PFXML|cut -d \" -f2`
            PFNKEY=`echo -n "${PFVEN}Dubna${VDATE}${PFMAC}yes" | md5sum |cut -d " " -f1`
            sed -e "s/$PFCKEY/$PFNKEY/g" -e "s/$PFDATE/$VDATE/g" $PFXML > $PFXML.tmp
            cat $PFXML.tmp > $PFXML
            rm $PFXML.tmp
          fi
      fi
    ;;
help)
    echo "Usage: $0 "
    ;;
  *)
    exit 1
    ;;
esac

exit 0

